ApiCdhUpgradeArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiCdhUpgradeArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCdhUpgradeArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiCdhUpgradeArgs
      extends Object

  Arguments used for the CDH Upgrade command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiCdhUpgradeArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCdhUpgradeArgs` | `cdhPackageVersion(String cdhPackageVersion)`
    `ApiCdhUpgradeArgs` | `cdhParcelVersion(String cdhParcelVersion)`
    `ApiCdhUpgradeArgs` | `deployClientConfig(Boolean deployClientConfig)`
    `boolean` | `equals(Object o)`
    `String` | `getCdhPackageVersion()` If using packages, the full version of the CDH packages being upgraded to, such as \"5.1.2\".
    `String` | `getCdhParcelVersion()` If using parcels, the full version of an already distributed parcel for the next major CDH version.
    `ApiRollingUpgradeClusterArgs` | `getRollingRestartArgs()` Get rollingRestartArgs
    `int` | `hashCode()`
    `Boolean` | `isDeployClientConfig()` Not used starting in v9 - Client config is always deployed as part of upgrade.
    `Boolean` | `isStartAllServices()` Not used starting in v9 - All servies are always started as part of upgrade.
    `ApiCdhUpgradeArgs` | `rollingRestartArgs(ApiRollingUpgradeClusterArgs rollingRestartArgs)`
    `void` | `setCdhPackageVersion(String cdhPackageVersion)`
    `void` | `setCdhParcelVersion(String cdhParcelVersion)`
    `void` | `setDeployClientConfig(Boolean deployClientConfig)`
    `void` | `setRollingRestartArgs(ApiRollingUpgradeClusterArgs rollingRestartArgs)`
    `void` | `setStartAllServices(Boolean startAllServices)`
    `ApiCdhUpgradeArgs` | `startAllServices(Boolean startAllServices)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiCdhUpgradeArgs

          public ApiCdhUpgradeArgs()

  - ### Method Detail

    - #### cdhParcelVersion

          public ApiCdhUpgradeArgs cdhParcelVersion(String cdhParcelVersion)

    - #### getCdhParcelVersion

          public String getCdhParcelVersion()

      If using parcels, the full version of an already distributed parcel for the next major CDH version. Default is null, which indicates this is a package upgrade. Example versions are: '5.0.0-1.cdh5.0.0.p0.11' or '5.0.2-1.cdh5.0.2.p0.32'
      Returns:
        cdhParcelVersion

    - #### setCdhParcelVersion

          public void setCdhParcelVersion(String cdhParcelVersion)

    - #### cdhPackageVersion

          public ApiCdhUpgradeArgs cdhPackageVersion(String cdhPackageVersion)

    - #### getCdhPackageVersion

          public String getCdhPackageVersion()

      If using packages, the full version of the CDH packages being upgraded to, such as \"5.1.2\". These packages must already be installed on the cluster before running the upgrade command. For backwards compatibility, if \"5.0.0\" is specified here, then the upgrade command will relax validation of installed packages to match v6 behavior, only checking major version. <p> Introduced in v9. Has no effect in older API versions, which assume \"5.0.0\"
      Returns:
        cdhPackageVersion

    - #### setCdhPackageVersion

          public void setCdhPackageVersion(String cdhPackageVersion)

    - #### rollingRestartArgs

          public ApiCdhUpgradeArgs rollingRestartArgs(ApiRollingUpgradeClusterArgs rollingRestartArgs)

    - #### getRollingRestartArgs

          public ApiRollingUpgradeClusterArgs getRollingRestartArgs()

      Get rollingRestartArgs
      Returns:
        rollingRestartArgs

    - #### setRollingRestartArgs

          public void setRollingRestartArgs(ApiRollingUpgradeClusterArgs rollingRestartArgs)

    - #### deployClientConfig

          public ApiCdhUpgradeArgs deployClientConfig(Boolean deployClientConfig)

    - #### isDeployClientConfig

          public Boolean isDeployClientConfig()

      Not used starting in v9 - Client config is always deployed as part of upgrade. For older versions, determines whether client configuration should be deployed as part of upgrade. Default is true.
      Returns:
        deployClientConfig

    - #### setDeployClientConfig

          public void setDeployClientConfig(Boolean deployClientConfig)

    - #### startAllServices

          public ApiCdhUpgradeArgs startAllServices(Boolean startAllServices)

    - #### isStartAllServices

          public Boolean isStartAllServices()

      Not used starting in v9 - All servies are always started as part of upgrade. For older versions, determines whether all services should be started should be deployed as part of upgrade. Default is true.
      Returns:
        startAllServices

    - #### setStartAllServices

          public void setStartAllServices(Boolean startAllServices)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.